package com.steerinfo.ems.tmaintenance.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="null")
public class TMaintenance implements IBasePO<String> {
    /**
     * 申报序号(DECLAREID,VARCHAR,255)
     */
    @ApiModelProperty(value="申报序号",required=true)
    private String declareid;

    /**
     * 审核状态(BILLSTATUS,VARCHAR,255)
     */
    @ApiModelProperty(value="审核状态",required=true)
    private String billstatus;

    /**
     * 检修类型(EQUIPMENTNAME,VARCHAR,255)
     */
    @ApiModelProperty(value="检修类型",required=true)
    private String equipmentname;

    /**
     * 申请人(CHARGEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="申请人",required=true)
    private String chargeman;

    /**
     * 申请单位(APPLAYER,VARCHAR,255)
     */
    @ApiModelProperty(value="申请单位",required=true)
    private String applayer;

    /**
     * 申请内容(REASONCONTENT,VARCHAR,255)
     */
    @ApiModelProperty(value="申请内容",required=true)
    private String reasoncontent;

    /**
     * 备注(BZ,VARCHAR,255)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    /**
     * 审批时间(SIGNTIME,VARCHAR,11)
     */
    @ApiModelProperty(value="审批时间",required=false)
    private String signtime;

    /**
     * 审批人(APPROVER,VARCHAR,255)
     */
    @ApiModelProperty(value="审批人",required=false)
    private String approver;

    /**
     * 申请时间(CHARGETIME,VARCHAR,11)
     */
    @ApiModelProperty(value="申请时间",required=true)
    private String chargetime;

    /**
     * 申报日期(DECLARETIME,VARCHAR,11)
     */
    @ApiModelProperty(value="申报日期",required=true)
    private String declaretime;

    /**
     * 记录序号(RECORD,DECIMAL,9)
     */
    @ApiModelProperty(value="记录序号",required=false)
    private Integer record;

    /**
     * 文件名称(FILENAME,VARCHAR,255)
     */
    @ApiModelProperty(value="文件名称",required=false)
    private String filename;

    /**
     * 设备名称(DEVICENAME,VARCHAR,255)
     */
    @ApiModelProperty(value="设备名称",required=false)
    private String devicename;

    /**
     * 设备分类(EQUIPMENT,VARCHAR,255)
     */
    @ApiModelProperty(value="设备分类",required=false)
    private String equipment;

    /**
     * 施工单位(CONSTRUCTIONUNITS,VARCHAR,255)
     */
    @ApiModelProperty(value="施工单位",required=false)
    private String constructionunits;

    /**
     * 施工人数(CONSTRUPEOPLE ,VARCHAR,255)
     */
    @ApiModelProperty(value="施工人数",required=false)
    private String construpeople;

    /**
     * 施工日期(CONSTRUDATE,VARCHAR,11)
     */
    @ApiModelProperty(value="施工日期",required=false)
    private String construdate;

    /**
     * 施工内容(CONSTRUCONTENT,VARCHAR,255)
     */
    @ApiModelProperty(value="施工内容",required=false)
    private String construcontent;

    /**
     * 施工文件名称(CONSTRUFILE,VARCHAR,255)
     */
    @ApiModelProperty(value="施工文件名称",required=false)
    private String construfile;

    /**
     * 记录人员(RECORDER,VARCHAR,255)
     */
    @ApiModelProperty(value="记录人员",required=false)
    private String recorder;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.declareid;
    }

    @Override
    public void setId(String declareid) {
        this.declareid = declareid == null ? null : declareid.trim();
    }

    public String getDeclareid() {
        return declareid;
    }

    public void setDeclareid(String declareid) {
        this.declareid = declareid == null ? null : declareid.trim();
    }

    public String getBillstatus() {
        return billstatus;
    }

    public void setBillstatus(String billstatus) {
        this.billstatus = billstatus == null ? null : billstatus.trim();
    }

    public String getEquipmentname() {
        return equipmentname;
    }

    public void setEquipmentname(String equipmentname) {
        this.equipmentname = equipmentname == null ? null : equipmentname.trim();
    }

    public String getChargeman() {
        return chargeman;
    }

    public void setChargeman(String chargeman) {
        this.chargeman = chargeman == null ? null : chargeman.trim();
    }

    public String getApplayer() {
        return applayer;
    }

    public void setApplayer(String applayer) {
        this.applayer = applayer == null ? null : applayer.trim();
    }

    public String getReasoncontent() {
        return reasoncontent;
    }

    public void setReasoncontent(String reasoncontent) {
        this.reasoncontent = reasoncontent == null ? null : reasoncontent.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getSigntime() {
        return signtime;
    }

    public void setSigntime(String signtime) {
        this.signtime = signtime == null ? null : signtime.trim();
    }

    public String getApprover() {
        return approver;
    }

    public void setApprover(String approver) {
        this.approver = approver == null ? null : approver.trim();
    }

    public String getChargetime() {
        return chargetime;
    }

    public void setChargetime(String chargetime) {
        this.chargetime = chargetime == null ? null : chargetime.trim();
    }

    public String getDeclaretime() {
        return declaretime;
    }

    public void setDeclaretime(String declaretime) {
        this.declaretime = declaretime == null ? null : declaretime.trim();
    }

    public Integer getRecord() {
        return record;
    }

    public void setRecord(Integer record) {
        this.record = record;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename == null ? null : filename.trim();
    }

    public String getDevicename() {
        return devicename;
    }

    public void setDevicename(String devicename) {
        this.devicename = devicename == null ? null : devicename.trim();
    }

    public String getEquipment() {
        return equipment;
    }

    public void setEquipment(String equipment) {
        this.equipment = equipment == null ? null : equipment.trim();
    }

    public String getConstructionunits() {
        return constructionunits;
    }

    public void setConstructionunits(String constructionunits) {
        this.constructionunits = constructionunits == null ? null : constructionunits.trim();
    }

    public String getConstrupeople() {
        return construpeople;
    }

    public void setConstrupeople(String construpeople) {
        this.construpeople = construpeople == null ? null : construpeople.trim();
    }

    public String getConstrudate() {
        return construdate;
    }

    public void setConstrudate(String construdate) {
        this.construdate = construdate == null ? null : construdate.trim();
    }

    public String getConstrucontent() {
        return construcontent;
    }

    public void setConstrucontent(String construcontent) {
        this.construcontent = construcontent == null ? null : construcontent.trim();
    }

    public String getConstrufile() {
        return construfile;
    }

    public void setConstrufile(String construfile) {
        this.construfile = construfile == null ? null : construfile.trim();
    }

    public String getRecorder() {
        return recorder;
    }

    public void setRecorder(String recorder) {
        this.recorder = recorder == null ? null : recorder.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", declareid=").append(declareid);
        sb.append(", billstatus=").append(billstatus);
        sb.append(", equipmentname=").append(equipmentname);
        sb.append(", chargeman=").append(chargeman);
        sb.append(", applayer=").append(applayer);
        sb.append(", reasoncontent=").append(reasoncontent);
        sb.append(", bz=").append(bz);
        sb.append(", signtime=").append(signtime);
        sb.append(", approver=").append(approver);
        sb.append(", chargetime=").append(chargetime);
        sb.append(", declaretime=").append(declaretime);
        sb.append(", record=").append(record);
        sb.append(", filename=").append(filename);
        sb.append(", devicename=").append(devicename);
        sb.append(", equipment=").append(equipment);
        sb.append(", constructionunits=").append(constructionunits);
        sb.append(", construpeople=").append(construpeople);
        sb.append(", construdate=").append(construdate);
        sb.append(", construcontent=").append(construcontent);
        sb.append(", construfile=").append(construfile);
        sb.append(", recorder=").append(recorder);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}